import { toConfig } from '../../util/input.js';
import { hasDependency } from '../../util/plugin.js';
const title = 'Biome';
const enablers = ['@biomejs/biome'];
const isEnabled = ({ dependencies }) => hasDependency(dependencies, enablers);
const config = ['biome.json', 'biome.jsonc'];
const resolveExtends = (extendsArray, options) => {
    return extendsArray.map(specifier => toConfig('biome', specifier, { containingFilePath: options.configFilePath }));
};
const resolveConfig = (config, options) => {
    return [...resolveExtends(config.extends || [], options)];
};
export default {
    title,
    enablers,
    isEnabled,
    config,
    resolveConfig,
};
